classdef M8199B < AWG
    properties

    end

    methods

        function obj = M8199B()
            %This is a ready to use AWG simulation that resembles the
            %properties of the Keysighe M8199B https://www.keysight.com/us/en/assets/3120-1465/data-sheets/M8199A-128-256-GSa-s-Arbitrary-Waveform-Generator.pdf
            arguments
                %options.bla = 1;
            end

            obj = obj@AWG();
            obj.dac_max         = 0.5;
            obj.dac_min         = -.5;
            obj.bit_resolution  = 5.5;

            obj.fdac        = 256e9;

            obj.lpf_active      = 1;

            obj.f_cutoff        = 80e9;
            obj.lpf_type        = filtertypes.gaussian;
            obj.H_lpf           = Filter('filtdegree',5,"f_cutoff",obj.f_cutoff,"fsamp",obj.kover*obj.fdac,"filterType",obj.lpf_type);

        end


    end


end